## org.apache.batik.swing.svg
Class SVGDocumentLoader

    java.lang.Object
      java.lang.Thread
          org.apache.batik.swing.svg.SVGDocumentLoader

All Implemented Interfaces:
  java.lang.Runnable

public class SVGDocumentLoader
extends java.lang.Thread

This class represents an object which loads asynchroneaously a SVG document.

Field Summary
`protected boolean` `beenInterrupted` Boolean indicating if this thread has ever been interrupted.
`protected java.lang.Exception` `exception` The exception thrown.
`protected java.util.List` `listeners` The listeners.
`protected DocumentLoader` `loader` The document loader.
`protected java.lang.String` `url` The URL of the document,

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SVGDocumentLoader(java.lang.String u, DocumentLoader l)` Creates a new SVGDocumentLoader.

Method Summary
`void` `addSVGDocumentLoaderListener(SVGDocumentLoaderListener l)` Adds a SVGDocumentLoaderListener to this SVGDocumentLoader.
`void` `fireEvent(EventDispatcher.Dispatcher dispatcher, java.lang.Object event)`
`boolean` `getBeenInterrupted()`
`java.lang.Exception` `getException()` Returns the exception, if any occured.
`void` `interrupt()`
`void` `removeSVGDocumentLoaderListener(SVGDocumentLoaderListener l)` Removes a SVGDocumentLoaderListener from this SVGDocumentLoader.
`void` `run()` Runs this loader.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### url

    protected java.lang.String url

  The URL of the document,

### loader

    protected DocumentLoader loader

  The document loader.

### exception

    protected java.lang.Exception exception

  The exception thrown.

### listeners

    protected java.util.List listeners

  The listeners.

### beenInterrupted

    protected boolean beenInterrupted

  Boolean indicating if this thread has ever been interrupted.

Constructor Detail

### SVGDocumentLoader

    public SVGDocumentLoader(java.lang.String u,
                             DocumentLoader l)

  Creates a new SVGDocumentLoader.

Parameters:
  `u` - The URL of the document.
  `l` - The document loader to use

Method Detail

### getBeenInterrupted

    public boolean getBeenInterrupted()

### run

    public void run()

  Runs this loader.

### interrupt

    public void interrupt()

### getException

    public java.lang.Exception getException()

  Returns the exception, if any occured.

### addSVGDocumentLoaderListener

    public void addSVGDocumentLoaderListener(SVGDocumentLoaderListener l)

  Adds a SVGDocumentLoaderListener to this SVGDocumentLoader.

### removeSVGDocumentLoaderListener

    public void removeSVGDocumentLoaderListener(SVGDocumentLoaderListener l)

  Removes a SVGDocumentLoaderListener from this SVGDocumentLoader.

### fireEvent

    public void fireEvent(EventDispatcher.Dispatcher dispatcher,
                          java.lang.Object event)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.